Loading...
Searching...
No Matches
Gudhi::skeleton_blocker::Skeleton_blocker_complex_visitor< Vertex_handle > Class Template Referenceabstract

Interface for a visitor of a simplicial complex. More...

`#include <include/gudhi/Skeleton_blocker/Skeleton_blocker_complex_visitor.h>`

## Public Member Functions

virtual void | on_changed_edge (Vertex_handle a, Vertex_handle b)=0
| Called when an edge changes, during the contraction of an edge.
virtual void | on_swaped_edge (Vertex_handle a, Vertex_handle b, Vertex_handle x)=0
| Called when performing an edge contraction when an edge bx is replaced by an edge ax (not already present). Precisely, this methods is called this way in contract_edge : add_edge_without_blockers(a,x) on_swaped_edge(a,b,x) remove_edge(b,x).

## Detailed Description

template<typename Vertex_handle>
class Gudhi::skeleton_blocker::Skeleton_blocker_complex_visitor< Vertex_handle >

Interface for a visitor of a simplicial complex.

The documentation for this class was generated from the following file:

- include/gudhi/Skeleton_blocker/Skeleton_blocker_complex_visitor.h